package cn.newfeifan.mall.module.sale.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 商户申请审核人状态枚举类
 */

@RequiredArgsConstructor
@Getter
public enum MerchantApplyCheckPersonStatusEnum {

    ONE(1, "廖总", 170L),
    TWO(2, "徐总",218L),
    THREE(3, "翁总",219L),
    ZERO(0, "通过",null),
    ERROR(4, "不通过",null);

    private final Integer status;
    private final String name;
    private final Long userid;

    // 审批流程还没有开通,暂时写死账号审批
    public static Integer getCheckPersonStatus(Long systemUserId){
        if(systemUserId.equals(170L)){      //170       //224
            return ONE.getStatus();
        }else if(systemUserId.equals(218L)){        //218       //225
            return TWO.getStatus();
        }else if (systemUserId.equals(219L)){       //219       //230
            return THREE.getStatus();
        }else {
            return -1;
        }
    }
}
